Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Buckminster » SWT P2 Repositories
SWT P2 Repositories [message #629172] Mon, 27 September 2010 08:20 Go to next message
Markus Stutz is currently offline Markus Stutz
Messages: 22
Registered: September 2010
Location: Switzerland
Junior Member
Hi

As I start an Import with buckminster this morning, was following error:


ERROR   [0061] : No suitable provider for component org.eclipse.swt.photon.qnx.x86:osgi.bundle/[3.6.1.v3655c,3.6.1.v3655c](&(target.arch=x86)(target.os=qnx)(target.ws=photon)) was found in resourceMap file:/C:/Data/projects/MDA/ToolSmith/com.csg.crs.carat.toolsmith.releng/tool.rmap
  ERROR   [0061] : No suitable provider for component org.eclipse.swt.photon.qnx.x86:osgi.bundle/[3.6.1.v3655c,3.6.1.v3655c](&(target.arch=x86)(target.os=qnx)(target.ws=photon)) was found in searchPath binaries
    ERROR   [0061] : Rejecting provider p2(http://download.eclipse.org/eclipse/updates/3.6milestones[http://download.eclipse.org/eclipse/updates/3.6milestones]): No component match was found
    ERROR   [0061] : Rejecting provider p2(http://download.eclipse.org/releases/helios[http://download.eclipse.org/releases/helios]): No component match was found
ERROR   [0061] : No suitable provider for component org.eclipse.swt.motif.solaris.sparc:osgi.bundle/[3.6.1.v3655c,3.6.1.v3655c](&(target.arch=sparc)(target.os=solaris)(target.ws=motif)) was found in resourceMap file:/C:/Data/projects/MDA/ToolSmith/com.csg.crs.carat.toolsmith.releng/tool.rmap
  ERROR   [0061] : No suitable provider for component org.eclipse.swt.motif.solaris.sparc:osgi.bundle/[3.6.1.v3655c,3.6.1.v3655c](&(target.arch=sparc)(target.os=solaris)(target.ws=motif)) was found in searchPath binaries
    ERROR   [0061] : Rejecting provider p2(http://download.eclipse.org/eclipse/updates/3.6milestones[http://download.eclipse.org/eclipse/updates/3.6milestones]): No component match was found
    ERROR   [0061] : Rejecting provider p2(http://download.eclipse.org/releases/helios[http://download.eclipse.org/releases/helios]): No component match was found



Do some one know, where I can find the location of this two repositories? (p2 location for rmap)

And what's the reason for this error?
Last week was every thing ok and I had nothing changed...


Thank you & cheers,


Cheers,
Markus

[Updated on: Mon, 27 September 2010 08:21]

Report message to a moderator

Re: SWT P2 Repositories [message #629304 is a reply to message #629172] Mon, 27 September 2010 13:33 Go to previous messageGo to next message
Thomas Hallgren is currently offline Thomas Hallgren
Messages: 3229
Registered: July 2009
Senior Member
Try http://download.eclipse.org/eclipse/updates/3.6 It contains the
3.6.1 release.

- thomas

On 09/27/2010 02:20 PM, M. Stutz wrote:
> Hi
>
> As I start an Import with buckminster this morning, is coming following
> error:
>
>
>
> ERROR [0061] : No suitable provider for component
> org.eclipse.swt.photon.qnx.x86:osgi.bundle/[3.6.1.v3655c,3.6 .1.v3655c](&(target.arch=x86)(target.os=qnx)(target.ws=p hoton))
> was found in resourceMap
> file:/C:/Data/projects/MDA/ToolSmith/com.csg.crs.carat.tools mith.releng/tool.rmap
>
> ERROR [0061] : No suitable provider for component
> org.eclipse.swt.photon.qnx.x86:osgi.bundle/[3.6.1.v3655c,3.6 .1.v3655c](&(target.arch=x86)(target.os=qnx)(target.ws=p hoton))
> was found in searchPath binaries
> ERROR [0061] : Rejecting provider
> p2(http://download.eclipse.org/eclipse/updates/3.6milestones[http://download.eclipse.org/eclipse/updates/3.6milestones]):
> No component match was found
> ERROR [0061] : Rejecting provider
> p2(http://download.eclipse.org/releases/helios[http://download.eclipse.org/releases/helios]):
> No component match was found
> ERROR [0061] : No suitable provider for component
> org.eclipse.swt.motif.solaris.sparc:osgi.bundle/[3.6.1.v3655 c,3.6.1.v3655c](&(target.arch=sparc)(target.os=solaris)( target.ws=motif))
> was found in resourceMap
> file:/C:/Data/projects/MDA/ToolSmith/com.csg.crs.carat.tools mith.releng/tool.rmap
>
> ERROR [0061] : No suitable provider for component
> org.eclipse.swt.motif.solaris.sparc:osgi.bundle/[3.6.1.v3655 c,3.6.1.v3655c](&(target.arch=sparc)(target.os=solaris)( target.ws=motif))
> was found in searchPath binaries
> ERROR [0061] : Rejecting provider
> p2(http://download.eclipse.org/eclipse/updates/3.6milestones[http://download.eclipse.org/eclipse/updates/3.6milestones]):
> No component match was found
> ERROR [0061] : Rejecting provider
> p2(http://download.eclipse.org/releases/helios[http://download.eclipse.org/releases/helios]):
> No component match was found
>
>
>
> Is some one know, where I can find the location of this two
> repositories? (p2 location for rmap)
>
> And what's the reason for this error? Last week was every thing ok and I
> had nothing changed...
>
>
> Thank you & cheers,
Re: SWT P2 Repositories [message #629382 is a reply to message #629304] Tue, 28 September 2010 02:31 Go to previous message
Markus Stutz is currently offline Markus Stutz
Messages: 22
Registered: September 2010
Location: Switzerland
Junior Member
Thank you, it works!


Cheers,


Cheers,
Markus
Previous Topic:.launch not found after update
Next Topic:Force p2 materializer to always create and activate a new target platform
Goto Forum:
  


Current Time: Tue Sep 02 02:54:14 EDT 2014

Powered by FUDForum. Page generated in 0.01789 seconds